> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Onboarded Status to True

> Set a contractor as onboarded once all legally required information has been provided.

Set onboarded status to `true` if the contractor has all the legally required information. If the contractor does not have the aforementioned properties, Zeal will return an array of errors stating which properties are missing.


## OpenAPI

````yaml openapi/zeal-api.json post /contractors/setOnboardedStatusToTrue
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractors/setOnboardedStatusToTrue:
    post:
      description: >-
        Set onboarded status to true if the contractor has all legally required
        information.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                contractorID:
                  type: string
                  description: ID of the Contractor being updated
                companyID:
                  type: string
                  description: ID of the Employer that the Contractor belongs to
              required:
                - contractorID
                - companyID
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    description: Onboarded Contractor Object
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````